=== debian/changelog ===
flann (1.8.4-3) unstable; urgency=low

  * Do not use CMAKE_BUILD_TYPE. Closes: #731514

 -- Mathieu Malaterre <malat@debian.org>  Sun, 08 Dec 2013 08:15:11 +0100

flann (1.8.4-2) unstable; urgency=low

  * Upload to sid. Closes: #707702

 -- Mathieu Malaterre <malat@debian.org>  Tue, 14 May 2013 14:23:17 +0200

flann (1.8.4-1) experimental; urgency=low

  * New upstream. Fix memleak

 -- Mathieu Malaterre <malat@debian.org>  Sat, 19 Jan 2013 21:17:48 +0100

flann (1.8.3-1) experimental; urgency=low

  * New upstream
  * Switch from tbb to OpenMP
  * Remove hack to get Changelog from web, use upstream instead
  * Remove Breaks/Replace, not needed anymore
  * Bump Std-Vers to 3.9.4, no changes needed
  * remove patch not needed anymore:
    - debian/patches/remove_lib64.patch
  * Remove obsolete DMUA flag
  * Use multiarch lib path

 -- Mathieu Malaterre <malat@debian.org>  Thu, 03 Jan 2013 13:51:42 +0100
