=== debian/control ===
Source: flann
Section: libs
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Mathieu Malaterre <malat@debian.org>,
 Michael Kleiber <mike@kleibi.de>
Build-Depends: debhelper (>= 9), cmake (>= 2.6.0),
 libgtest-dev, python, python-numpy, libboost-all-dev,
 mpi-default-dev, libhdf5-mpi-dev
Build-Depends-Indep: texlive-latex-base, texlive-binaries, latex2html
Standards-Version: 3.9.4
Homepage: http://www.cs.ubc.ca/~mariusm/index.php/FLANN/FLANN
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/flann/trunk/
Vcs-Svn: svn://svn.debian.org/debian-science/packages/flann/trunk/

Package: libflann-dev
Section: libdevel
Architecture: any
Depends: libflann1.8 (= ${binary:Version}), ${misc:Depends}
Description: Fast Library for Approximate Nearest Neighbors - development
 FLANN is a library for performing fast approximate nearest neighbor searches
 in high dimensional spaces. It contains a collection of algorithms found
 to work best for nearest neighbor search and a system for automatically
 choosing the best algorithm and optimum parameters depending on the dataset.
 .
 This package contains development files needed to build FLANN applications.

Package: libflann1.8
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Fast Library for Approximate Nearest Neighbors - runtime
 FLANN is a library for performing fast approximate nearest neighbor searches
 in high dimensional spaces. It contains a collection of algorithms found
 to work best for nearest neighbor search and a system for automatically
 choosing the best algorithm and optimum parameters depending on the dataset.
 .
 This package contains the libraries needed to run FLANN applications.

Package: flann-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, doc-base
Description: Fast Library for Approximate Nearest Neighbors - documentation
 FLANN is a library for performing fast approximate nearest neighbor searches
 in high dimensional spaces. It contains a collection of algorithms found
 to work best for nearest neighbor search and a system for automatically
 choosing the best algorithm and optimum parameters depending on the dataset.
 .
 This package contains the documentation for FLANN.
