=== debian/changelog ===
flann (1.9.1+dfsg-9build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:14:16 +0100

flann (1.9.1+dfsg-9) unstable; urgency=medium

  * Team upload.
  * Don't run dh_dwz on mipsel

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 23 Oct 2019 22:22:24 +0200

flann (1.9.1+dfsg-8) unstable; urgency=medium

  * Team upload.
  * Add README.source
  * Drop Python 2 dependencies (Closes: #936519)
  * switch to debhelper-compat and debhelper 12
  * Bump policy version (no changes)
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 12 Oct 2019 11:53:40 +0200

flann (1.9.1+dfsg-7) unstable; urgency=medium

  * Team upload.
  * Update mips* flags to use less memory (cf. #911497)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 21 Oct 2018 22:01:59 +0200

flann (1.9.1+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Make sure flann_cpp is linked against lz4

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 15 Oct 2018 22:04:16 +0200

flann (1.9.1+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Fix lz4 linking in pkg-config

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 14 Oct 2018 10:44:31 +0200

flann (1.9.1+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Add patch to use system liblz4 (LP: 1786543)
  * Bump policy version (no changes)
  * Update dependencies
  * Add patch for empty date in manual

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 14 Oct 2018 00:56:02 +0200

flann (1.9.1+dfsg-3) unstable; urgency=medium

  * Team upload.

  [ Mathieu Malaterre ]
  * Remove self from Uploaders

  [ Jochen Sprickerhof ]
  * Add patch for cmake 3.11 (Closes: #897101)
  * Update packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 28 Apr 2018 17:37:51 +0200

flann (1.9.1+dfsg-2) unstable; urgency=medium

  * Upload to unstable
  * New ABI version. Closes: #797718)

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 18 Aug 2016 21:45:00 +0200

flann (1.9.1+dfsg-1) experimental; urgency=medium

  * Added BUILD tests
  * Update watch file to add dfsg suffix
  * Imported Upstream version 1.9.1+dfsg
  * Added myself as uploader
  * Updated to new VCS fields
  * Removed unneeded patch. Move to CMake option
  * Updated patches
  * Set LIB_SUFFIX with DEB_HOST_MULTIARCH
  * Update copyright
  * Bumped Standards-Version to 3.9.8. No changes

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Sat, 13 Aug 2016 19:07:50 +0200

flann (1.8.4-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * 20_abs-std-abs.patch: 3645f0c30a47267e56e5acdecfc7bac2b76bc3d5 from
    upstream GIT. Use std::abs instead of abs, fixing gcc6 build error.
    Closes: #822717

 -- Andreas Metzler <ametzler@debian.org>  Sat, 30 Jul 2016 15:07:35 +0200

flann (1.8.4-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New patch fix-cmake-hdf5.patch to support hdf5 1.8.13 new packaging
    layout (closes: #756471).

 -- Gilles Filippini <pini@debian.org>  Wed, 06 Aug 2014 08:33:53 +0200

flann (1.8.4-4) unstable; urgency=low

  * Bump Std-Vers to 3.9.5, no changes needed. Run w-a-s for cleanup.
  * Use the ggc-min-expand flag.
    Patch by Dejan Latinovic <Dejan.Latinovic@imgtec.com>.
    Closes: #751478.

 -- Mathieu Malaterre <malat@debian.org>  Tue, 17 Jun 2014 10:57:45 +0200
