## flann 1.9.1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,13 +8,12 @@
 string(TOLOWER ${PROJECT_NAME} PROJECT_NAME_LOWER)
 
 include(${PROJECT_SOURCE_DIR}/cmake/flann_utils.cmake)
-set(FLANN_VERSION 1.8.4)
+set(FLANN_VERSION 1.9.1)
 DISSECT_VERSION()
 GET_OS_INFO()
 
-# CMAKE_C_COMPILER_ID and CMAKE_CXX_COMPILER_ID are documented as internal variables subject to
-# change at: http://www.cmake.org/cmake/help/v2.8.8/cmake.html#variable:CMAKE_LANG_COMPILER_ID
-# however currently this seems the most robust way to detect the presence of the Clang compiler
+
+# detect if using the Clang compiler
 if("${CMAKE_C_COMPILER_ID}" MATCHES "Clang")
   set(CMAKE_COMPILER_IS_CLANG 1)
 endif ()
@@ -54,6 +53,9 @@
 option(BUILD_PYTHON_BINDINGS "Build Python bindings" ON)
 option(BUILD_MATLAB_BINDINGS "Build Matlab bindings" ON)
 option(BUILD_CUDA_LIB "Build CUDA library" OFF)
+option(BUILD_EXAMPLES "Build examples" ON)
+option(BUILD_TESTS "Build tests" ON)
+option(BUILD_DOC "Build documentation" ON)
 option(USE_OPENMP "Use OpenMP multi-threading" ON)
 option(USE_MPI "Use MPI" OFF)
 
@@ -141,23 +143,29 @@
 endif(BUILD_CUDA_LIB)
 
 #set the C/C++ include path to the "include" directory
-include_directories(${PROJECT_SOURCE_DIR}/src/cpp)
+include_directories(BEFORE ${PROJECT_SOURCE_DIR}/src/cpp)
 
 # require proper c++
 #add_definitions( "-Wall -ansi -pedantic" )
 # HDF5 uses long long which is not ansi
-if (WIN32)
+if(CMAKE_C_COMPILER_ID MATCHES "MSVC" OR CMAKE_CXX_COMPILER_ID MATCHES "MSVC")
     # lots of warnings with cl.exe right now, use /W1
     add_definitions("/W1 -D_CRT_SECURE_NO_WARNINGS -D_SCL_SECURE_NO_WARNINGS /bigobj")
-else(WIN32)
+else()
     add_definitions( "-Wall -Wno-unknown-pragmas -Wno-unused-function" )
-endif(WIN32)
+endif()
 
 add_subdirectory( cmake )
 add_subdirectory( src )
-add_subdirectory( examples )
-add_subdirectory( test )
-add_subdirectory( doc )
+if (BUILD_EXAMPLES)
+  add_subdirectory( examples )
+endif(BUILD_EXAMPLES)
+if (BUILD_TESTS)
+  add_subdirectory( test )
+endif (BUILD_TESTS)
+if (BUILD_DOC)
+  add_subdirectory( doc )
+endif (BUILD_DOC)
 
 
 # CPACK options
@@ -200,6 +208,9 @@
 message(STATUS "Install prefix: ${CMAKE_INSTALL_PREFIX}")
 message(STATUS "Build type: ${CMAKE_BUILD_TYPE}")
 message(STATUS "Building C bindings: ${BUILD_C_BINDINGS}")
+message(STATUS "Building examples: ${BUILD_EXAMPLES}")
+message(STATUS "Building tests: ${BUILD_TESTS}")
+message(STATUS "Building documentation: ${BUILD_DOC}")
 message(STATUS "Building python bindings: ${BUILD_PYTHON_BINDINGS}")
 message(STATUS "Building matlab bindings: ${BUILD_MATLAB_BINDINGS}")
 message(STATUS "Building CUDA library: ${BUILD_CUDA_LIB}")
