=== debian/control ===
Source: flann
Section: libs
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Michael Kleiber <mike@kleibi.de>,
	   Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: cmake,
               debhelper-compat (= 12),
               pkg-config,
               libboost-dev,
               libboost-mpi-dev,
               libboost-system-dev,
               libboost-serialization-dev,
               libboost-thread-dev,
               libgtest-dev,
               libhdf5-mpi-dev,
               liblz4-dev,
               mpi-default-dev,
Build-Depends-Indep: latex2html, texlive-binaries, texlive-latex-base
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: http://www.cs.ubc.ca/research/flann/
Vcs-Browser: https://salsa.debian.org/science-team/flann
Vcs-Git: https://salsa.debian.org/science-team/flann.git

Package: libflann-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libflann1.9 (= ${binary:Version}), ${misc:Depends}, libboost-dev, libhdf5-mpi-dev, liblz4-dev,
Description: Fast Library for Approximate Nearest Neighbors - development
 FLANN is a library for performing fast approximate nearest neighbor searches
 in high dimensional spaces. It contains a collection of algorithms found
 to work best for nearest neighbor search and a system for automatically
 choosing the best algorithm and optimum parameters depending on the dataset.
 .
 This package contains development files needed to build FLANN applications.

Package: libflann1.9
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Fast Library for Approximate Nearest Neighbors - runtime
 FLANN is a library for performing fast approximate nearest neighbor searches
 in high dimensional spaces. It contains a collection of algorithms found
 to work best for nearest neighbor search and a system for automatically
 choosing the best algorithm and optimum parameters depending on the dataset.
 .
 This package contains the libraries needed to run FLANN applications.

Package: flann-doc
Architecture: all
Section: doc
Depends: doc-base, ${misc:Depends}
Description: Fast Library for Approximate Nearest Neighbors - documentation
 FLANN is a library for performing fast approximate nearest neighbor searches
 in high dimensional spaces. It contains a collection of algorithms found
 to work best for nearest neighbor search and a system for automatically
 choosing the best algorithm and optimum parameters depending on the dataset.
 .
 This package contains the documentation for FLANN.
