=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,16 @@
 
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
+
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
+DEB_BUILD_ARCH     ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
+
+ifneq (,$(filter $(DEB_BUILD_ARCH),mips mipsel))
+	export DEB_CXXFLAGS_MAINT_APPEND = -g1
+override_dh_dwz:
+endif
 
 CMAKE_FLAGS = \
 	-DCMAKE_BUILD_TYPE:STRING=None \
@@ -11,11 +20,12 @@
 	-DBUILD_PYTHON_BINDINGS:BOOL=OFF \
 	-DUSE_MPI:BOOL=ON \
 	-DUSE_OPENMP:BOOL=ON \
-	-DFLANN_LIB_INSTALL_DIR:STRING="lib/$(DEB_HOST_MULTIARCH)" \
+	-DLIB_SUFFIX:STRING="/$(DEB_HOST_MULTIARCH)" \
+	-DBUILD_TESTS:BOOL=ON \
 	-DBUILD_CUDA_LIB:BOOL=OFF
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(CMAKE_FLAGS)
@@ -32,6 +42,3 @@
 
 # No tests needed for docs
 override_dh_auto_test-indep:
-
-get-orig-source:
-	uscan --verbose --force-download --repack --rename
