=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg//,repacksuffix=+dfsg,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/flann-$1\.tar\.gz/ \
  https://github.com/mariusmuja/flann/releases .*/v?(\d\S*)\.tar\.gz
