## flann 1.9.2%2Bdfsg

=== debian/changelog ===
flann (1.9.2+dfsg-1+deb12u1) bookworm; urgency=medium

  * Drop extra -llz4 from flann.pc (already in Requires:) (Closes: #1052649)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 26 Sep 2023 12:15:32 +0200

flann (1.9.2+dfsg-1) unstable; urgency=medium

  * New upstream version 1.9.2+dfsg
  * Update d/copyright
  * Bump policy version (no changes)
  * Move package description to source package
  * Rebase patches
  * Simplify cmake flags
  * Install cmake files

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 01 Jan 2023 10:52:42 +0100

flann (1.9.1+dfsg-11) unstable; urgency=medium

  * Add d/not-installed
  * Drop special arch all build

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 04 Nov 2021 12:27:14 +0100

flann (1.9.1+dfsg-10) unstable; urgency=medium

  * Drop as-needed, done by default
  * Switch watch to /tags
  * Drop gitlab-ci
  * Add myself to uploaders
  * Update Maintainers name
  * Update Uploaders
  * Bump policy and debhelper versions
  * Add patch for flann.pc

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 04 Nov 2021 10:14:00 +0100
