## flann 1.9.2+dfsg

=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 add_custom_target(examples ALL)
-
 
 if (BUILD_C_BINDINGS)
     add_executable(flann_example_c flann_example.c)
+    target_link_libraries(flann_example_c ${LZ4_LINK_LIBRARIES})
     target_link_libraries(flann_example_c flann)
     set_target_properties(flann_example_c PROPERTIES COMPILE_FLAGS -std=c99)
 
@@ -14,6 +14,7 @@
     include_directories(${HDF5_INCLUDE_DIR})
 
     add_executable(flann_example_cpp flann_example.cpp)
+    target_link_libraries(flann_example_cpp ${LZ4_LINK_LIBRARIES})
     target_link_libraries(flann_example_cpp ${HDF5_LIBRARIES} flann_cpp)
     if (HDF5_IS_PARALLEL)
         target_link_libraries(flann_example_cpp ${MPI_LIBRARIES})
@@ -25,6 +26,7 @@
 
     if (USE_MPI AND HDF5_IS_PARALLEL)
         add_executable(flann_example_mpi flann_example_mpi.cpp)
+        target_link_libraries(flann_example_mpi ${LZ4_LINK_LIBRARIES})
         target_link_libraries(flann_example_mpi flann_cpp ${HDF5_LIBRARIES} ${MPI_LIBRARIES} ${Boost_LIBRARIES})
 
         add_dependencies(examples flann_example_mpi)
