=== debian/changelog ===
flann (1.9.2+dfsg-4) unstable; urgency=medium

  * Fix FTBFS with CMake 4 for real

 -- Timo Röhling <roehling@debian.org>  Sat, 27 Sep 2025 01:33:28 +0200

flann (1.9.2+dfsg-3) unstable; urgency=medium

  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.2
  * Override CMake policy minimum version (Closes: #1112916, #751854)
  * Replace obsolete pkg-config dependency with pkgconf
  * Add myself to uploaders

 -- Timo Röhling <roehling@debian.org>  Tue, 09 Sep 2025 13:06:59 +0200

flann (1.9.2+dfsg-2) unstable; urgency=medium

  * Drop extra -llz4 from flann.pc (already in Requires:) (Closes: #1052649)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 26 Sep 2023 11:38:36 +0200
