=== debian/control ===
Source: flann
Section: libs
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Jochen Sprickerhof <jspricke@debian.org>,
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 latex2html,
 libboost-dev,
 libboost-mpi-dev,
 libboost-serialization-dev,
 libboost-system-dev,
 libboost-thread-dev,
 libgtest-dev,
 libhdf5-mpi-dev,
 liblz4-dev,
 mpi-default-dev,
 pkgconf,
 texlive-binaries,
 texlive-latex-base,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: http://www.cs.ubc.ca/research/flann/
Vcs-Browser: https://salsa.debian.org/science-team/flann
Vcs-Git: https://salsa.debian.org/science-team/flann.git
Description: Fast Library for Approximate Nearest Neighbors
 FLANN is a library for performing fast approximate nearest neighbor searches
 in high dimensional spaces. It contains a collection of algorithms found
 to work best for nearest neighbor search and a system for automatically
 choosing the best algorithm and optimum parameters depending on the dataset.

Package: libflann-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libboost-dev,
 libflann1.9 (= ${binary:Version}),
 libhdf5-mpi-dev,
 liblz4-dev,
 ${misc:Depends},
Description: ${source:Synopsis} - development
 ${source:Extended-Description}
 .
 This package contains development files needed to build FLANN applications.

Package: flann-doc
Architecture: all
Section: doc
Depends:
 doc-base,
 ${misc:Depends},
Description: ${source:Synopsis} - documentation
 ${source:Extended-Description}
 .
 This package contains the documentation for FLANN.

Package: libflann1.9
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Multi-Arch: same
Description: ${source:Synopsis} - runtime
 ${source:Extended-Description}
 .
 This package contains the libraries needed to run FLANN applications.
