=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

ifneq (,$(filter $(DEB_BUILD_ARCH),mips mipsel))
	export DEB_CXXFLAGS_MAINT_APPEND = -g1
override_dh_dwz:
endif

CMAKE_FLAGS = \
	-DBUILD_MATLAB_BINDINGS=OFF \
	-DBUILD_PYTHON_BINDINGS=OFF \
	-DUSE_MPI=ON \
	-DUSE_OPENMP=ON \
	-DBUILD_TESTS=ON \
	-DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" \
	-DBUILD_CUDA_LIB=OFF

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_FLAGS)

# test download material from the net. Removing them.
override_dh_auto_test:

override_dh_compress:
	dh_compress --exclude=.pdf

execute_after_dh_auto_build:
	$(MAKE) -C obj-* doc
