=== debian/watch ===
version=4
opts=dversionmangle=s/\.dfsg//,repacksuffix=+dfsg,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/@PACKAGE@-$1\.tar\.gz/ \
  https://github.com/mariusmuja/flann/tags .*/v?(\d\S*)\.tar\.gz
